---
layout: cp
title: Getmonero.org Redesign because we're going to design all of the things and you can't stop us
author: rehrar
date: 02/14/2017
amount: 100
milestones:
  - name: Milestone 1 - Front page & restructure
    funds: 10% (~XMR 10.70)
    done: April 28, 2017
    status: unfinished
  - name: Milestone 2 - Design
    funds: 40% (~XMR 42.80)
    done: July 1, 2017
    status: completed
  - name: Milestone 3 - Development
    funds: 30% (~XMR 32.10)
    done: July 1, 2017
    status: completed
  - name: Milestone 4 - Finishing touches
    funds: 20% (~XMR 21.40)
    done: completed
    status: completed
payouts:
  - date: 12/31/2986
    amount: 10.70XMR
  - date: 121212154524
    amount: 4545
  - date: 
    amount:
  - date: 
    amount:

---

At the request of myself , I am editing my proposal that fluffypony recommended I edit that was edited from the initial idea. So, without further ado:

### What: GetMonero.org Redesign and Restructure
My project looks to give a complete site redesign to getmonero.org. As it is right now, it's not very user-friendly, doesn't look very pretty, and just doesn't look as professional as one would assume from the sophisticated technology that is Monero. That can easily be changed, with a souped up design that is modern, slick, and inviting to anyone who wants to become a part of the Monero community, while still maintaining the charm that comes with open-source projects.

How do we plan to develop it? Upon speaking with the FluffyPony, there are three very important things that the redesign must keep in mind:

1. JavaScript must not be used in the new site, as a good amount of the site's traffic comes from Tor.

2. Be developed using Jekyll

3. The forum is going to be done away with, but the FFS will remain (not my idea, it was told to me). Right now the forum isn't being used for much besides the FFS. So we need a way to put the FFS into the site proper.

Nowadays CSS can do incredible things on its own. There are even a number of CSS frameworks that operate without Javascript. The current site uses Bootstrap, although there are other alternatives to consider. Yes, Bootstrap has some JS inclusions, but it operates just fine without them as they're really for specific things (which we shouldn't need). There are other options, such as Burma, or even no framework at all.

Also, the site information will be restructured, with the differing pages being put into different, or even new, categories to make the information available more accessible to everybody.

### Who: And you are...?
Heyo, you can call me Rehrar. My wife (Mrs. Rehrar) and I are web designers and developers. We really enjoy what we do, and specialize in helping small businesses get a web presence, or revamp their old websites. We really believe in XMR and what it stands for, and would love to extend our talents towards the community to help. 

Our online portfolio is in the works and we were hoping to launch before mid-March, but a huge slew of jobs came in all at once and we've been working like madmen to get them done. The fact that we can find decent work before our portfolio is up is pretty great for us. For now, here's a sample of the work that we're doing:

[Nikki Karay, Cosplayer](http://nikkikaray.com) (a website we made for a cosplayer)

[A Striking Image](http://floodedcallus.com) (a site that we made for a carpet cleaning business)

[Remembering the Time](http://rememberingthetime.net) (a site we made for a personal historian)


### Why: Seriously, is this needed?
Yes, a site redesign is very needed. Monero has great technology, a great dev team, and a great community behind it. Some people are of the opinion that the site is fine, and that we don't need anything new or different. But more people discover and subsequently become involved in the community, the better it is for everyone, and we need to make it as easy as possible for newcomers to get find the resources they need.

I'll be honest, if a layperson comes to this website, the first thing that comes to mind will not be 'sophisticated technology'. Some might say: "But if they dig into the reasons and technology behind it they will see...". Look, not everyone does this, and to the masses, first impressions count for a lot. We can't hide behind the way we wish the world works. Marketing is important, and a having a good website in the digital age is Marketing 101.

Technology development and marketing are not mutually exclusive, and I think too many people forget that. And seeing as how I would be unable to help the dev team anyways, I think I can use my talents to further the community despite that. :)

Secondly, the information on the site is currently very badly structured. A lot of things just seem like a hodgepodge of pages thrown together in a category that it more or less can squeeze. Along with the redesign, some great restructuring needs to happen.

### Proposals & Milestones
We are willing to work for 2 XMR/hr, the following milestones are estimated hours of how long it will take to complete the project. We will ask a flat fee, so any hours above will be a donation to the community. With this in mind, I would like to propose the following milestones.

**Milestone 1: Front Page Design and Site Restructuring (10XMR)**
Everyone has different opinions on how they think the website should look. The first step would be to decide as a community what the overall feel of the website should be. We (Mrs. Rehrar and I) would design two possible landing pages to be discussed by the community. While it is possible to make suggestions at this stage about the content that is included in the mockup, the bigger idea is the design, look, and feel. The final decision of which design to use rests with me, but I will take all suggestions and ideas into consideration. 

The next portion is the restructuring of getmonero.org to make information better structured and easier to access. I will present a tentative restructuring of the site for comment, and will make changes as necessary.

After these decisions are made we will move to Milestone 2.

_Notes:_
It is possible that the community will greatly dislike both designs. If this should happen, the community can create a design themselves, or additional mockups can be made for 5 XMR each. Sorry, but because this has the potential to go on for infinity before people reach agreement, there needs to be a limit somewhere.

**MAJOR NOTE:**
Milestone 1 is practically complete already. We just couldn't wait to present our work to the community. You can see our designs in the albums below:

[Redesign Proposal 1 (album)](http://imgur.com/a/MwyxX)

[Redesign Proposal 2 (album)](http://imgur.com/a/H9i3z)


**Milestone 2: Website Design (40XMR)**
Next, I will create mockups for the major pages of the new site to be reviewed and critiqued by the community. The designs can be tweaked and modified (although at this point any suggestions to the look and feel that are not minute in nature will not be considered) until the community reaches a reasonable agreement to move forward (same stipulations as in Milestone 1).

In this section is also the design of the new FFS. This will be a huge endeavor from a UI/UX perspective and we will do everything we can in research and designing to make it usable, accessible, with a friendly interface.

A lot of work is going to be put into the design process. Like, it's probably going to be 50% of the total work. The building portion is easy. We have decided to make a significant investment of time for the designs to be worked on, workshopped, approved, and, if necessary, redone so it's perfect for something as amazing as Monero.

**Milestone 3: Development (30XMR)** 
Here we go. The big stuff. We go into production mode and start building the website that is agreed upon. Not too much explanation here. We will host the in-progress site on a small Vultr server and the IP address will be publicly available so anyone can look at the progress. There will be weekly progress reports and anyone is free to make comments during the process. 

There would be two planned phases for Milestone 3:
1. Create the main site
2. Create and integrate the new FFS.

After both phases are completed, we will switch the new site over.

**Milestone 4: ???**
At this point the project is pretty much done. But there may be things that need to be added over time (such as when news or new technology is introduced). The source code to the site will of course be freely available and anyone with the know-how would be able to edit and add pages.

**Total proposed XMR for the project: 100XMR**

### Timeline
The proposed timeline for each milestone will vary. Especially because for the design process we want to give enough time for the community to be able give feedback and have a voice. With that in mind, the proposed timeline is as follows:

**Milestone 1:** One week to create both designs and two weeks for the community to comment and the suggested changes to be made, tried, commented on again, etc..  Total: 3 weeks. 

_Note:_
Milestone 1 is practically complete already. See above.

**Milestone 2:** Four weeks to lovingly craft the remaining pages of the site and three weeks for the community suggestion process and resulting modifications to occur. Total: 7 weeks.

_Note:_
why so long here? Again, it's not just a reskin of the current form of the website. A lot of thought has to go into a potential restructuring of content to make it accessible to the most people. Some content blocks may be moved to another place on the page, or another page entirely. We've got a lot of work to do in this area. After that, the development is just making all of that idea work and planning and creativity come alive with code. No biggie! :D

**Milestone 3:** Three weeks for Phase 1 (new website creation) and an additional three weeks for Phase 2 (FFS integration). Since we'll be working with the devs of the website backend to integrate it, I have to plan for more time as we may be in different time-zones, things may not get done same day, people are busy, etc. Total: 6 weeks.

Total proposed timeline for the project: 16 weeks (4 months). If consensus with the designs of the first two milestones is reached very rapidly, then it can be quicker.

### Expiration
While I don't plan to drop out of the project, all of the source code will be continuously updated on GitHub for anyone to use. In the event that the website is not up 4 months after funding (allowing some leeway for unforseen circumstances), the funds may be reappropriated as determined by the core team.

Any questions? Comments? Concerns? Complaints? Let me know below!

### Major Note:
Again, Milestone 1 is pretty much done. Please see the album links to view the designs (and all of their drafts):

[Redesign Proposal 1 (album)](http://imgur.com/a/MwyxX)

[Redesign Proposal 2 (album)](http://imgur.com/a/H9i3z)

Thanks everyone!
Diego